<template>
  <rui-tabs no-text-on-small>
    <rui-button icon="doc:checks" caption="Tasks" :active="tab === 'tasks'" @click="tab = 'tasks'" />
    <rui-button icon="doc:code" caption="Logic" :active="tab === 'logic'" @click="tab = 'logic'" />

    <rui-tab-separator />

    <rui-button icon="doc:forum" caption="Discussion" :active="tab === 'discussion'" @click="tab = 'discussion'" />

    <rui-tab-separator />

    <rui-button icon="doc:warning"
                caption="Errors"
                :active="tab === 'errors'"
                disabled
                @click="tab = 'errors'" />

    <rui-tab-separator spring />

    <rui-toolbar>
      <rui-button icon="doc:pencil" variant="creative" caption="Edit" />
      <rui-button icon="doc:trash" variant="destructive" caption="Destroy" />
    </rui-toolbar>
  </rui-tabs>

  <main v-show="tab === 'tasks'">
    <h2>Tasks</h2>
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Amet autem consequuntur deleniti, eum nihil pariatur
    praesentium quod? A error nam numquam quasi, tempora ullam vel voluptatem. Animi eius illo vero.
  </main>
  <main v-show="tab === 'logic'">
    <h2>Logic</h2>
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Amet autem consequuntur deleniti, eum nihil pariatur
    praesentium quod? A error nam numquam quasi, tempora ullam vel voluptatem. Animi eius illo vero.
  </main>
  <main v-show="tab === 'discussion'">
    <h2>Discussion</h2>
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Amet autem consequuntur deleniti, eum nihil pariatur
    praesentium quod? A error nam numquam quasi, tempora ullam vel voluptatem. Animi eius illo vero.
  </main>

  <main v-show="tab === 'errors'">
    <h2>Errors</h2>
    You should not be able to see this as the table is disabled
  </main>
</template>

<script>
export default {
  data () {
    return {
      tab: 'tasks',
    }
  },
}
</script>
